import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { Badge, Popover, Icon } from 'antd';
import SelectModal from '../../../components/SelectModal';
import { Codes } from '../../../utils/config';

export default class SupportSelectModal extends PureComponent {
  static propTypes = {
    modalVisible: PropTypes.bool.isRequired,
    rowKeyName: PropTypes.string.isRequired,
  };

  render() {
    const { modalVisible, onCancel, onOk, onSearch, ...fsTableOpts } = this.props;

    const modalProps = {
      title: '选择配套',
      maskClosable: false,
      visible: modalVisible,
      onCancel,
      onOk,
    };

    const searchProps = {
      searchField: 'name',
      searchKeyWord: '',
      searchSize: 'default',
      searchSelect: true,
      searchSelectOptions: [{
        value: 'name', name: '配套名称', mode: 'input',
      },{
        value: 'code', name: '配套编号', mode: 'input',
      }],
      searchSelectProps: {
        defaultValue: 'code',
      },
      onSearch: (value) => {
        onSearch(value);
      },
    };

    //待选资源Table属性
    const fsTableProps = {
      fsTableColumns: [{
        /*
        title: '封面图',
        dataIndex: 'url',
        key: 'url',
        render: (text, record) => (
          <Popover
            content={<img alt="" src={record.coverUrl} width={350} />}
            title={record.name}
          >
            <img alt="" src={record.coverUrl} width={70} />
          </Popover>
        ),
      },{
      */
        title: '配套编号',
        dataIndex: 'code',
        key: 'code',
        width: '40%',
      },{
        title: '配套名称',
        dataIndex: 'name',
        key: 'name',
        width: '40%',
      }],
      ...fsTableOpts,
    }

    return (
      <SelectModal
        mode="single"
        { ...searchProps }
        { ...fsTableProps }
        { ...modalProps }
      />
    );
  }
}
