import React, { PureComponent } from 'react';
import PropTypes from 'prop-types';
import { Modal } from 'antd';
import VideoPlayer from '../../../components/VideoPlayer';

export default class ModalForm extends PureComponent {
  static propTypes = {
    item: PropTypes.object,
  };

  render() {
    const { item = {}, isPaused, ...modalProps } = this.props;
    const newModalProps = {
      ...modalProps,
      key: item.id,
    }
    const playerProps = { m3u8: item.format === 'm3u8', url: item.url, isPaused, hlsConfig: {}, width:'100%', height: '100%', controls: true };

    return (
      <Modal {...newModalProps}>
          <VideoPlayer { ...playerProps } />
      </Modal>
    );
  }
}
