/* 项目配置文件 */

const Codes = {};
Codes.CODE_VIDEO = 0;
Codes.CODE_AUDIO = 1;
Codes.CODE_LIVE  = 2;
Codes.CODE_IMAGE = 3;

Codes.CODE_NORMAL = 'NORMAL';
Codes.CODE_DELETE = 'DEL';
Codes.CODE_DISABLE = 'DISABLE';

Codes.CODE_WARE = 'WARE';
Codes.CODE_LESSON = 'LESSON';
Codes.CODE_COURSE = 'COURSE';
Codes.CODE_SUPPORT = 'SUPPORT';
Codes.CODE_PACKAGE = 'PACKAGE';

Codes.CODE_SALE = 'SALE';
Codes.CODE_UNPAID = 'UNPAID';
Codes.CODE_PAID = 'PAYOK';
Codes.CODE_CANCEL = 'CANCEL';
Codes.CODE_REFUND = 'REFUND';
Codes.CODE_COMPLETE = 'COMPLETE';
Codes.CODE_FORSEND = 'FORSEND';
Codes.CODE_SENT = 'SENT';
Codes.CODE_RECEIVED = 'RECEIVED';

// 订单的拆分状态
Codes.CODE_ORDER_SPLIT_YES = 'YES';
Codes.CODE_ORDER_SPLIT_NO = 'NO';
Codes.CODE_ORDER_SPLIT_UN = 'UN';

Codes.CODE_ENTITY = 'ENTITY';
Codes.CODE_VIRTUAL = 'VIRTUAL';

Codes.CODE_CP = 1010;
Codes.CODE_LJ = 2010;
Codes.CODE_PJ = 3010;

Codes.CODE_YEAR = '年';
Codes.CODE_HALF_YEAR = '半年';
Codes.CODE_SEASON = '季';
Codes.CODE_ITEM = '件';

module.exports = {
  apiHost: 'http://tt-cms.api.ai160.com',
  ossHost: 'http://efunimgs.oss-cn-beijing.aliyuncs.com',
  // apiHost: '/api',
  // 每页返回数据量
  pageSize: 10,
  // 标识码
  Codes,
  // 视频质量
  quality: {
    high: '高清',
    standard: '标清',
  },
  // 状态类型
  statuses: {
    [Codes.CODE_NORMAL]: '使用中',
    [Codes.CODE_DELETE]: '已删除',
  },
  // 商品出售状态
  itemStatuses: {
    [Codes.CODE_NORMAL]: '在售',
    [Codes.CODE_DELETE]: '下架',
  },
  // 终端账号状态
  terminalStatuses: {
    [Codes.CODE_NORMAL]: '使用中',
    [Codes.CODE_DISABLE]: '禁用中',
  },
  // 产品类型
  productType: {
    [Codes.CODE_COURSE] : '课程',
    [Codes.CODE_SUPPORT]: '配套',
    [Codes.CODE_PACKAGE]: '课程包',
  },
  // 平台代号
  domains: {
    [Codes.CODE_LJ]: '平台方',
    [Codes.CODE_CP]: '供应商',
    [Codes.CODE_PJ]: '渠道商',
  },
  // 资源类型
  resourceType: {
    [Codes.CODE_VIDEO]: '视频',
    [Codes.CODE_AUDIO]: '音频',
    [Codes.CODE_LIVE] : '直播',
    [Codes.CODE_IMAGE]: '图片',
  },
  // 标签类型
  tagType: {
    [Codes.CODE_COURSE] : '课程',
    [Codes.CODE_SUPPORT]: '配套',
  },
  // 订单状态
  orderStatuses: {
    [Codes.CODE_UNPAID]: '待支付',
    [Codes.CODE_PAID]: '已支付',
    [Codes.CODE_CANCEL]: '已取消',
    [Codes.CODE_REFUND]: '已退款',
    [Codes.CODE_COMPLETE]: '已完成',
    [Codes.CODE_FORSEND]: '待发货',
    [Codes.CODE_SENT]: '已发货',
    [Codes.CODE_RECEIVED]: '已收货',
  },
  // 订单拆分状态
  orderSplitStatus: {
    [Codes.CODE_ORDER_SPLIT_YES]: '已拆分',
    [Codes.CODE_ORDER_SPLIT_NO]: '未拆分',
    [Codes.CODE_ORDER_SPLIT_UN]: '不需要拆分',
  },
  // 商品类型
  goodsType: {
    [Codes.CODE_ENTITY]: '实体物品',
    [Codes.CODE_VIRTUAL]: '虚拟物品'
  },
  // 计价单位 名字: 时长
  chargeUnit: {
    [Codes.CODE_SEASON]: 90,
    [Codes.CODE_YEAR]: 365,
    [Codes.CODE_HALF_YEAR]: 180,
    [Codes.CODE_ITEM]: 0,
  },
};
