/**
 * 增加或更新用户信息到本地存储
 *
 * @param {object} value [登录接口返回内容]
 */
export function addLocalUser(value) {
  window.localStorage.setItem('LJ@2B#CMS!User', JSON.stringify(value));
}

/**
 * 从本地存储中获取用户信息
 *
 * @return {JSON} [用户信息]
 */
export function getLocalUser() {
  const localUser = window.localStorage.getItem('LJ@2B#CMS!User');
  if (localUser && localUser !== 'undefined') {
    return JSON.parse(localUser);
  }
}

/**
 * 从本地存储中获取token信息
 *
 * @return {string} [token信息]
 */
export function getLocalToken() {
  const localUser = window.localStorage.getItem('LJ@2B#CMS!User');
  if (localUser && localUser !== 'undefined') {
    return JSON.parse(localUser)['X-Token'];
  }
}

/**
 * 保存oss签名信息到本地
 *
 * @param {object} value [登录接口返回内容]
 */
export function saveLocalSignature(value) {
  window.localStorage.setItem('LJ@2B#CMS!OSS', JSON.stringify(value));
}

/**
 * 从本地存储中获取oss签名信息
 *
 * @return {JSON} [签名信息]
 */
export function getLocalSignature() {
  const signature = window.localStorage.getItem('LJ@2B#CMS!OSS');
  if (signature && signature !== 'undefined') {
    return JSON.parse(signature);
  }
}
